version: "3"

volumes:
  mongodb_volume:

services:
  ortube-embedded:
    build:
      context: ./
      dockerfile: ./local-embedded-launch/ortube-build/Dockerfile
    restart: always
    ports:
      - 8080:8080
    environment:
      - TZ=Europe/Kiev
      - MONGODB_URI=mongodb://mongodb:27017/ortube
      - SENDER_USERNAME=
      - SENDER_PASSWORD=
    depends_on:
      - mongodb

  mongodb:
    image: mongo:4.2.3
    environment:
      MONGO_INITDB_DATABASE: ortube
    ports:
      - 27018:27017
    volumes:
      - ./local-embedded-launch/mongo-db/:/docker-entrypoint-initdb.d
      - mongodb_volume:/data/db
    restart: always